platform_device_add_resources
Prev | Device Drivers Base | Next

## Name

platform_device_add_resources —

## Synopsis

`int platform_device_add_resources (` | struct platform_device * | pdev,
| struct resource * | res,
| unsigned int | num`)`;

## Arguments

`pdev`

  platform device allocated by platform_device_alloc to add resources to

`res`

  set of resources that needs to be allocated for the device

`num`

  number of resources

## Description

Add a copy of the resources to the platform device. The memory associated with the resources will be freed when the platform device is released.

Prev | Up | Next
platform_device_alloc | Home | platform_device_add_data